import { BaseEventOrig, ScrollViewProps } from '@tarojs/components';

type UseScrollRangeOptions = {
  maxRange?: number;
};

export function useScrollRange(options: UseScrollRangeOptions = {}) {
  const { maxRange = 160 } = options;

  const rangeValue = ref(0);

  function scroll(e: BaseEventOrig<ScrollViewProps.onScrollDetail>) {
    rangeValue.value = Math.min(maxRange, e.detail.scrollTop) / maxRange;
  }

  return {
    scroll,
    rangeValue,
  };
}
